Ptex: ExtHeader Struct Reference

Ptex

Public Attributes | List of all members
ExtHeader Struct Reference

`#include <PtexIO.h>`

## Public Attributes
uint16_t | ubordermode
uint16_t | pad
uint16_t | vbordermode
uint16_t | edgefiltermode
uint32_t | lmdheaderzipsize
uint32_t | lmdheadermemsize
uint64_t | lmddatasize
uint64_t | editdatasize
uint64_t | editdatapos

## Detailed Description

Definition at line 64 of file PtexIO.h.

## Member Data Documentation

## ◆ edgefiltermode

uint16_t ExtHeader::edgefiltermode

Definition at line 68 of file PtexIO.h.

Referenced by PtexReader::edgeFilterMode(), PtexReader::getInfo(), and PtexWriterBase::setEdgeFilterMode().

## ◆ editdatapos

uint64_t ExtHeader::editdatapos

Definition at line 73 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexIncrWriter::finish(), PtexReader::open(), and PtexReader::readEditData().

## ◆ editdatasize

uint64_t ExtHeader::editdatasize

Definition at line 72 of file PtexIO.h.

Referenced by PtexIncrWriter::finish(), and PtexReader::readEditData().

## ◆ lmddatasize

uint64_t ExtHeader::lmddatasize

Definition at line 71 of file PtexIO.h.

Referenced by PtexReader::open(), and PtexMainWriter::writeMetaData().

## ◆ lmdheadermemsize

uint32_t ExtHeader::lmdheadermemsize

Definition at line 70 of file PtexIO.h.

Referenced by PtexReader::readMetaData(), and PtexMainWriter::writeMetaData().

## ◆ lmdheaderzipsize

uint32_t ExtHeader::lmdheaderzipsize

Definition at line 69 of file PtexIO.h.

Referenced by PtexReader::open(), PtexReader::readMetaData(), and PtexMainWriter::writeMetaData().

## ◆ pad

uint16_t ExtHeader::pad

Definition at line 66 of file PtexIO.h.

## ◆ ubordermode

uint16_t ExtHeader::ubordermode

Definition at line 65 of file PtexIO.h.

Referenced by PtexMainWriter::flagConstantNeighorhoods(), PtexReader::getInfo(), PtexWriterBase::setBorderModes(), and PtexReader::uBorderMode().

## ◆ vbordermode

uint16_t ExtHeader::vbordermode

Definition at line 67 of file PtexIO.h.

Referenced by PtexMainWriter::flagConstantNeighorhoods(), PtexReader::getInfo(), PtexWriterBase::setBorderModes(), and PtexReader::vBorderMode().

The documentation for this struct was generated from the following file:

- PtexIO.h